# class BrowserHostExtension | An extension class for container parts. More...
Full name | `KParts::BrowserHostExtension`
Definition | `#include <browserextension.h>`
Inherits | QObject (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- BrowserHostExtension ( KParts::ReadOnlyPart *parent, const char *name = 0L )
- virtual ~BrowserHostExtension ()
- virtual QStringList frameNames () const
- virtual const QList<KParts::ReadOnlyPart> frames () const
- virtual bool openURLInFrame ( const KURL &url, const KParts::URLArgs &urlArgs )

#### Public Static Methods

- static BrowserHostExtension * childObject ( QObject *obj )

## Detailed Description

An extension class for container parts.

BrowserHostExtension ( KParts::ReadOnlyPart *parent, const char *name = 0L ) | ### BrowserHostExtension

~BrowserHostExtension () | ### ~BrowserHostExtension

[virtual]

QStringList frameNames () | ### frameNames

[const virtual]

Returns a list of the names of all hosted child objects.

Note that this method does not query the child objects recursively.

const QList<KParts::ReadOnlyPart> frames () | ### frames

[const virtual]

Returns a list of pointers to all hosted child objects.

Note that this method does not query the child objects recursively.

bool openURLInFrame ( const KURL &url, const KParts::URLArgs &urlArgs ) | ### openURLInFrame

[virtual]

Opens the given url in a hosted child frame. The frame name is specified in the frameName variable in the urlArgs argument structure (see KParts::URLArgs ) .

BrowserHostExtension * childObject ( QObject *obj ) | ### childObject

[static]

Queries `obj` for a child object which inherits from this BrowserHostExtension class. Convenience method.

Generated by: root@sparc.ports.openbsd.org on Wed May 2 09:43:28 2001, using kdoc 2.0a53.